<mat-toolbar>Simple daterangepicker</mat-toolbar>
<div class="row">
  <div class="col s6">
    <input type="text" ngxDaterangepickerMd
    [(ngModel)]="selected" class="form-control" placeholder="Choose date"
    [showDropdowns]="true"
           [lockStartDate]="false"
           [customRangeDirection]="false"
    (ngModelChange)="ngModelChange($event)" (change)="change($event)" showCancel="true"
    />
  </div>
  <div class="col s6 right-align">
    <br/>
    <button type="button" class="ngx-daterangepicker-action waves-effect waves-light btn" (click)="open($event)">open from a button</button>
    <button type="button" *ngIf="selected && selected.startDate" class="ngx-daterangepicker-action waves-effect waves-light btn red" (click)="clear($event)">Clear</button>
  </div>
</div>
<div class="row">
  <div class="col s12">
    <b>Using the change event :</b>
      <pre class="prettyprint"><code class="html">&lt;input type="text" ngxDaterangepickerMd
[(ngModel)]="selected" placeholder="Choose date" (change)="change($event)"/&gt;</code>
    </pre>

   <b>Or with ngModel :</b>

      <pre class="prettyprint"><code class="html">&lt;input type="text" ngxDaterangepickerMd
        [lockStartDate]="false"
[(ngModel)]="selected" placeholder="Choose date"
(ngModelChange)="ngModelChange($event)"/&gt;</code>
    </pre>
  </div>
</div>
<hr/>
<div class="row">
  <div class="col s12">
      <h3>Inline daterangepicker</h3>
      <ngx-daterangepicker-material (choosedDate)="choosedDate($event)" [locale]="locale"></ngx-daterangepicker-material>
      <br>
      Choosed date: {{inlineDate | json}}
  </div>
</div>
